| ghc-6.10.4: The GHC API | Contents | Index

HsTypes

Documentation
data HsType name

Constructors

HsForAllTy HsExplicitForAll [LHsTyVarBndr name] (LHsContext name) (LHsType name) |
HsTyVar name |
HsBangTy HsBang (LHsType name) |
HsAppTy (LHsType name) (LHsType name) |
HsFunTy (LHsType name) (LHsType name) |
HsListTy (LHsType name) |
HsPArrTy (LHsType name) |
HsTupleTy Boxity [LHsType name] |
HsOpTy (LHsType name) (Located name) (LHsType name) |
HsParTy (LHsType name) |
HsNumTy Integer |
HsPredTy (HsPred name) |
HsKindSig (LHsType name) Kind |
HsSpliceTy (HsSplice name) |
HsDocTy (LHsType name) (LHsDoc name) |

Instances

OutputableBndr name => Outputable (HsType name)

type LHsType name = Located (HsType name)
data HsTyVarBndr name

Constructors

UserTyVar name |
KindedTyVar name Kind |

Instances

Outputable name => Outputable (HsTyVarBndr name)

type LHsTyVarBndr name = Located (HsTyVarBndr name)
data HsExplicitForAll

Constructors

Explicit |
Implicit |

type HsContext name = [LHsPred name]
type LHsContext name = Located (HsContext name)
data HsPred name

Constructors

HsClassP name [LHsType name] |
HsEqualP (LHsType name) (LHsType name) |
HsIParam (IPName name) (LHsType name) |

Instances

OutputableBndr name => Outputable (HsPred name)

type LHsPred name = Located (HsPred name)
type LBangType name = Located (BangType name)
type BangType name = HsType name
data HsBang

Constructors

HsNoBang |
HsStrict |
HsUnbox |

Instances

Outputable HsBang

getBangType :: LHsType a -> LHsType a
getBangStrictness :: LHsType a -> HsBang
mkExplicitHsForAllTy :: [LHsTyVarBndr name] -> LHsContext name -> LHsType name -> HsType name
mkImplicitHsForAllTy :: LHsContext name -> LHsType name -> HsType name
hsExplicitTvs :: LHsType name -> [name]
hsTyVarName :: HsTyVarBndr name -> name
hsTyVarNames :: [HsTyVarBndr name] -> [name]
replaceTyVarName :: HsTyVarBndr name1 -> name2 -> HsTyVarBndr name2
hsLTyVarName :: LHsTyVarBndr name -> name
hsLTyVarNames :: [LHsTyVarBndr name] -> [name]
hsLTyVarLocName :: LHsTyVarBndr name -> Located name
hsLTyVarLocNames :: [LHsTyVarBndr name] -> [Located name]
splitHsInstDeclTy :: OutputableBndr name => HsType name -> ([LHsTyVarBndr name], HsContext name, name, [LHsType name])
splitHsFunType :: LHsType name -> ([LHsType name], LHsType name)
type PostTcType = Type
placeHolderType :: PostTcType
pprParendHsType :: OutputableBndr name => HsType name -> SDoc
pprHsForAll :: OutputableBndr name => HsExplicitForAll -> [LHsTyVarBndr name] -> LHsContext name -> SDoc
pprHsContext :: OutputableBndr name => HsContext name -> SDoc
ppr_hs_context :: OutputableBndr name => HsContext name -> SDoc
pprHsTyVarBndr :: Outputable name => name -> Kind -> SDoc
Produced by Haddock version 2.4.2